Skip to main content
GET
/
affiliates
List affiliates
curl --request GET \
  --url https://api.referralful.com/v1/affiliates \
  --header 'Authorization: Basic <encoded-value>'
{
  "pagination": {
    "previous_page": 123,
    "current_page": 123,
    "next_page": 123,
    "count": 123,
    "limit": 123,
    "total_pages": 123,
    "total_count": 123
  },
  "data": [
    {
      "id": "<string>",
      "object": "affiliate",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "<string>",
      "paypal_email": "<string>",
      "wise_email": "<string>",
      "state": "<string>",
      "stripe_customer_id": "<string>",
      "confirmed_at": "2023-11-07T05:31:56Z",
      "visitors": 123,
      "leads": 123,
      "conversions": 123,
      "campaign": {
        "id": "<string>",
        "object": "campaign",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "name": "<string>",
        "url": "<string>",
        "private": true,
        "commission_percent": 123,
        "commission_amount_cents": 123,
        "commission_currency": "<string>",
        "minimum_payout_cents": 123,
        "days_before_referrals_expire": 123,
        "days_before_commissions_are_due": 123,
        "max_commissions": 123,
        "max_commission_period_in_months": 123
      },
      "links": [
        {
          "id": "<string>",
          "object": "affiliate_link",
          "url": "<string>",
          "token": "<string>",
          "visitors": 123,
          "leads": 123,
          "conversions": 123,
          "affiliate_id": "<string>"
        }
      ],
      "coupon": {
        "id": "<string>",
        "object": "affiliate_coupon",
        "token": "<string>",
        "affiliate_id": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Use your API secret as the username, with an empty password.

Query Parameters

page
integer
default:1
limit
integer
default:25
Required range: x <= 100

Response

200 - application/json

OK

pagination
object
data
object[]